////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// NOTE Imports
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

import "./src/lib/cadesplugin_api";
import {
  getCertsList,
  getValidCertificates,
  getFirstValidCertificate,
  getCert,
  currentCadesCert,
  signBase64,
  verifyBase64,
  signXml,
  signFile,
  about,
  getSignatureInfo,
  getHash,
  signHash256,
  signHash512,
  coSignHash512,
  coSignHash256
} from "./src/сertificatesApi";

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// NOTE cadesplugin await function
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

const cadespluginOnload = (async function cadespluginOnload() {
  try {
    await window.cadesplugin;

    return {
      getCertsList,
      getValidCertificates,
      getFirstValidCertificate,
      getCert,
      currentCadesCert,
      signBase64,
      verifyBase64,
      signXml,
      signFile,
      about,
      getSignatureInfo,
      getHash,
      signHash256,
      signHash512,
      coSignHash512,
      coSignHash256
    };
  } catch (error) {
    throw new Error(error);
  }
});

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// NOTE Exports
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

export default cadespluginOnload;
